8.94 --gnu_version=version

Attempts to make the compiler compatible with a particular version of GCC.

Syntax

--gnu_version=version

Where version is a decimal number denoting the version of GCC that you are attempting to make the compiler compatible with.

Note

Currently, the maximum supported value for --gnu_version in armcc v4.0 and later is 40400, that is gcc 4.4. Although version numbers larger than this are permitted, armcc treats them the same as 40400.

Mode

This option is for when GNU compatibility mode is being used.

Usage

This option is for expert use. It is provided for dealing with legacy code. You are not normally required to use it.

Default

In ARM Compiler 4.1 and later, the default is 40200. This corresponds to GCC version 4.2.0.

Examples

--gnu_version=30401 makes the compiler compatible with GCC 3.4.1 as far as possible.

Related reference
8.91 --gnu
8.10 --arm_linux_configure
Non-ConfidentialPDF file icon PDF versionARM DUI0472J
Copyright © 2010-2013 ARM. All rights reserved.